#include <ADuCM360.h>
#include "ADuCM360_driver.h"
#include "AD5270.h"
//***************************************************************************
//declaration
//***************************************************************************
unsigned short res16=0x0000;
unsigned short* pWrite=0;
unsigned char runFlag=0;

unsigned short RDAC_val_read=0;
//***************************************************************************
//sysTimer interrupt
//***************************************************************************
void SysTick_Handler (void)
{
	static unsigned long cnt=0;	
	io_OntimerLedBlink();	
	if(cnt==100)
  {
		cnt=0;
		runFlag=1;	
	}
	else
	{	cnt++;}	
}
//***************************************************************************
//main
//***************************************************************************
int main()
{	
	ADuCM360_Initialize();
	AD5270_IO_Initialize();
	//enable RDAC write
	SPI_Tx_16bit(COMMAND_W_CONTROL|0x03);
	//Write RDAC Reg
	SPI_Tx_16bit(COMMAND_W_RDAC|0x100);
	//read RDAC Reg
	//SPI_Tx_16bit(COMMAND_R_RDAC);
	//RDAC_val_read=SPI_Tx_16bit(COMMAND_NOP);
	//save to 50-tp
	//SPI_Tx_16bit(COMMAND_STORE_RDAC_50TP);
	
	//start sysTimer  
	//200Hz
	SysTick_Config(16000000/ 200);
	
	while(1)
	{
		if(runFlag==1)
		{
			  runFlag=0;			
		}
	}
	
}
